<?php
namespace OrganizationsManagement\Factory;
use Teknisa\Model\Teknisa\Entities\Slacliente as SlaclienteEntity;

class Slacliente
{
    /**
     * @param $cdcliente
     * @param $cdgrupfase
     * @param $cdassunto
     * @param $idprazosla
     * @param $qtdiassla
     * @param $cdcomplexid
     * @param $nrorg
     * @param $currentOperator
     * @param $dtAtual
     * @param string $idativo
     * @param null $dtiniciosla
     * @return SlaclienteEntity
     */
    public function create($cdcliente, $cdgrupfase, $cdassunto, $idprazosla, $qtdiassla, $cdcomplexid, $nrorg,
                           $currentOperator, $dtAtual, $idativo = 'S', $dtiniciosla = null): SlaclienteEntity
    {
        $entitie = new SlaclienteEntity;
        $entitie->setcdcliente($cdcliente);
        $entitie->setCdgrupfase($cdgrupfase);
        $entitie->setCdassunto($cdassunto);
        $entitie->setCdcomplexid($cdcomplexid);
        $entitie->setIdprazosla($idprazosla);
        $entitie->setQtdiassla($qtdiassla);
        $entitie->setQtdiassla2($qtdiassla);
        $entitie->setQtdiassla3($qtdiassla);

        $entitie->setNrorg($nrorg);
        $entitie->setDtinclusao($dtAtual);
        $entitie->setDtultatu($dtAtual);
        $entitie->setNrorginclusao($nrorg);
        $entitie->setCdoperinclusao($currentOperator);
        $entitie->setNrorgultatu($nrorg);
        $entitie->setCdoperultatu($currentOperator);
        $entitie->setIdativo($idativo);
        $entitie->setDtiniciosla($dtiniciosla);
        return $entitie;
    }

    /**
     * @param SlaclienteEntity $slaCliente
     * @param $cdgrupfase
     * @param $cdassunto
     * @param $idprazosla
     * @param $qtdiassla
     * @param $nrorg
     * @param $currentOperator
     * @param $dtAtual
     * @param $idativo
     * @param $dtiniciosla
     * @return SlaclienteEntity
     */
    public function update(SlaClienteEntity $slaCliente, $idprazosla,
                           $qtdiassla, $nrorg, $currentOperator, $dtAtual,
                           $idativo, $dtiniciosla): SlaclienteEntity
    {
        $slaCliente->setIdprazosla($idprazosla);
        $slaCliente->setQtdiassla($qtdiassla);
        $slaCliente->setQtdiassla2($qtdiassla);
        $slaCliente->setQtdiassla3($qtdiassla);

        $slaCliente->setNrorg($nrorg);
        $slaCliente->setDtultatu($dtAtual);
        $slaCliente->setNrorgultatu($nrorg);
        $slaCliente->setCdoperultatu($currentOperator);
        $slaCliente->setIdativo($idativo);
        $slaCliente->setDtiniciosla($dtiniciosla);
        return $slaCliente;
    }
}
